Bug 851268

Summary: port RHQ Server to run inside JBossAS7
Product: [Other] RHQ Project Reporter: John Mazzitelli <mazz>
Component: Core ServerAssignee: John Mazzitelli <mazz>
Status: CLOSED CURRENTRELEASE QA Contact: Mike Foley <mfoley>
Severity: unspecified Docs Contact:
Priority: urgent    
Version: 4.5CC: hrupp
Target Milestone: ---   
Target Release: RHQ 4.6   
Hardware: Unspecified   
OS: Unspecified   
See Also: https://issues.jboss.org/browse/AS7-5343
https://issues.jboss.org/browse/AS7-5342
https://issues.jboss.org/browse/AS7-5336
https://issues.jboss.org/browse/AS7-5321
https://issues.jboss.org/browse/AS7-5177
https://issues.jboss.org/browse/AS7-887
https://issues.jboss.org/browse/AS7-3199
https://issues.jboss.org/browse/AS7-5530
https://bugzilla.redhat.com/show_bug.cgi?id=860292
https://issues.jboss.org/browse/AS7-5629
https://issues.jboss.org/browse/AS7-2516
https://issues.jboss.org/browse/AS7-4673
https://issues.jboss.org/browse/AS7-4975
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-09-03 10:42:00 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 839332, 847134    
Bug Blocks:    

Description John Mazzitelli 2012-08-23 11:42:23 EDT
RHQ Server currently is deployed inside JBossAS 4.2.3. We want to port it so it runs inside JBossAS 7.
Comment 1 John Mazzitelli 2012-08-23 11:42:49 EDT
work is being done in the rhq-on-as7 branch
Comment 2 John Mazzitelli 2012-08-23 11:47:56 EDT
I've got some notes on this port work found here on the wiki:

https://docs.jboss.org/author/display/RHQ/Hosting+RHQ+Server+in+AS7
Comment 3 John Mazzitelli 2012-08-29 09:55:48 EDT
removing all the external bug tracking links - the bugzilla integration to jira is not good:

I will add "see also" links from this BZ to these:

https://issues.jboss.org/browse/AS7-5342
https://issues.jboss.org/browse/AS7-5336
https://issues.jboss.org/browse/AS7-5321
https://issues.jboss.org/browse/AS7-5177
https://issues.jboss.org/browse/AS7-887
https://issues.jboss.org/browse/AS7-3199
Comment 4 John Mazzitelli 2012-08-29 09:59:20 EDT
ccrouch: I think we need to reference what new jar's people are going to need when writing a Java client to talk to JON hosted on AS7. It would be great to have an example of an app running inside an EAP6 instance calling out to JON.
Comment 5 John Mazzitelli 2013-02-27 10:00:02 EST
RHQ 4.6 has been released with AS7 as its core app server.
Comment 6 Heiko W. Rupp 2013-09-03 10:42:00 EDT
Bulk closing of issues in old RHQ releases that are in production for a while now.

Please open a new issue when running into an issue.